# Method: accounts.labels.list

- [HTTP request](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.labels/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.labels/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.labels/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.labels/list#body.request_body)
- [Response body](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.labels/list#body.response_body)
  - [JSON representation](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.labels/list#body.ListAccountLabelsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.labels/list#body.aspect)
- [Try it!](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.labels/list#try-it)

Lists the labels owned by an account.

### HTTP request

`GET https://css.googleapis.com/v1/{parent=accounts/*}/labels`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent account. Format: accounts/{account} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of labels to return. The service may return fewer than this value. If unspecified, at most 50 labels will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` A page token, received from a previous `labels.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `labels.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for the `labels.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "accountLabels": [ { object (`https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.labels#AccountLabel`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `accountLabels[]` | ``object (`https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.labels#AccountLabel`)`` The labels from the specified account. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).